Doomsday Engine - Bug #216

Wrong model rendered (Model Selector/DED reader)
2005-02-15 19:05 - danij
Priority: Normal % Done:
Description

| encountered this while creating the jDRP Demon &
Spectre models.

When using the selector mechanism - If the model for
the object chosen with selector 1 has different model
states defined than that of the model used for selector
0, sometimes the wrong model is drawn.

For example:

The demon has two pain frames and a single model frame
is assigned for each.

The spectre has two pain frames but uses four model
frames in the animation.

In game when the demon enters the pain state it appears
to turn into the Spectre.

| think it's either a bug in the DED reader or the
model renderer.

If you want some examples to debug with - download the
early JDRP 1.1 ALPHA Demon and Spectre modules (they
illustrate the problem when the killed anim plays for

the Demon it turns into the Spectre).

Labels: Graphics

History

#1 - 2007-05-28 06:45 - yagisan

Logged In: YES
user_id=1248824
Originator: NO

bump - whats happening here ?

#2 - 2013-07-18 17:39 - skyjake
- Priority: 5 --> 4

#3 - 2013-07-18 17:39 - skyjake

May be obsolete?

#4 - 2013-10-22 15:37 - skyjake

- Tags set to 3DModel, Renderer

- Category set to Defect

- Status changed from New to Feedback

- Assignee set to danij
- Target version deleted (1.8.6)
#5 - 2013-10-22 23:35 - danij
I'll need to retest this but OTOMH this was fixed some time ago, along with the related issues of models facing the wrong direction when first spawned

(visibly facing the wrong direction during the first render frame after map load).

#6 - 2015-03-11 23:45 - danij
- Status changed from Feedback to Closed

It seems this issue was indeed resolved some time ago.
